unit pclistunit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  AsyncProcess, StdCtrls, base, process;

type

  { TPCListForm2 }

  TPCListForm2 = class(TForm)
    AsyncProcess1: TAsyncProcess;
    Memo1: TMemo;
    Memo2: TMemo;
    Timer1: TTimer;
    procedure AsyncProcess1ReadData(Sender: TObject);
    procedure AsyncProcess1Terminate(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    Ausgabe : TStringList;
    { private declarations }
  public
    { public declarations }
  end;

var
  PCListForm2: TPCListForm2;

implementation

{$R *.lfm}

{ TPCListForm2 }

procedure TPCListForm2.FormShow(Sender: TObject);
begin
  Ausgabe := TStringList.create;
  Timer1.Enabled:=True;
end;

procedure TPCListForm2.Timer1Timer(Sender: TObject);
begin
  AsyncProcess1.CommandLine:='ping -c1 10.32.1.4';
  if not AsyncProcess1.Running then
    Begin
      memo2.Append('not running');
      AsyncProcess1.Execute;
    end;
  memo2.Append('execute');
end;

procedure TPCListForm2.FormClose(Sender: TObject; var CloseAction: TCloseAction
  );
begin
  Timer1.Enabled:=False;
end;

procedure TPCListForm2.AsyncProcess1ReadData(Sender: TObject);
begin
  memo2.Append('Readdata');
  Ausgabe.LoadFromStream(Asyncprocess1.Output);
  memo2.Append(Ausgabe.text);
end;

procedure TPCListForm2.AsyncProcess1Terminate(Sender: TObject);
begin
  memo2.Append('terminate');
end;

end.

