unit Konfigurationsunit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, base, IniFiles
{$IFDEF LINUX}
  ,BaseUnix
{$ENDIF}
  ;

type

  { TOptionenForm }

  TOptionenForm = class(TForm)
    BT_Beenden: TButton;
    BT_Speichern: TButton;
    BT_UtraVNC: TButton;
    CB_mitUhr: TCheckBox;
    CB_Internet_vis: TCheckBox;
    CB_Drucker_vis: TCheckBox;
    ED_AuthSK: TEdit;
    Ed_Server: TEdit;
    Ed_SKPort: TEdit;
    ED_VNCEnc: TButton;
    CB_Befehle: TCheckBox;
    CB_debug: TCheckBox;
    CB_FixedPos: TCheckBox;
    CB_Nachricht: TCheckBox;
    CB_Sperrbild: TCheckBox;
    CB_UseSSL: TCheckBox;
    CB_Auth: TCheckBox;
    Ed_time_ssl: TEdit;
    Ed_time_tcp: TEdit;
    Ed_time_nac: TEdit;
    Ed_DienstPort: TEdit;
    Ed_Programmname: TEdit;
    Ed_VNCPass: TEdit;
    Ed_VNCPort: TEdit;
    Ed_VNCtext: TEdit;
    Ed_WOLDelay: TEdit;
    Ed_xpos: TEdit;
    Ed_ypos: TEdit;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    GroupBox5: TGroupBox;
    Label1: TLabel;
    Label10: TLabel;
    Label17: TLabel;
    Label19: TLabel;
    ed_WOL: TEdit;
    ed_UltraVNC: TEdit;
    Ed_Breite: TEdit;
    Ed_Breite1: TEdit;
    Ed_Hoehe: TEdit;
    Ed_Hoehe1: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label11: TLabel;
    Label12: TLabel;
    Label16: TLabel;
    Label18: TLabel;
    Label2: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label4: TLabel;
    LB_time_nac: TLabel;
    LB_time_tcp: TLabel;
    LB_time_ssl: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    OpenDialog1: TOpenDialog;
    RG_Border: TRadioGroup;
    SetVNC: TButton;
    procedure BT_BeendenClick(Sender: TObject);
    procedure BT_SpeichernClick(Sender: TObject);
    procedure BT_UtraVNCClick(Sender: TObject);
    procedure ED_VNCEncClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SetVNCClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;



var
  OptionenForm: TOptionenForm;

implementation

{$R *.lfm}





{ TOptionenForm }

procedure TOptionenForm.BT_BeendenClick(Sender: TObject);
begin
  close;
end;

procedure TOptionenForm.BT_SpeichernClick(Sender: TObject);
var
  IniFile      : TIniFile;
  s, PRG_Pfad  : String;
  d,h          : integer;
begin
  if FileExists(ConfigFilePfad) then
    Begin
      IniFile := TIniFile.Create(ConfigFilePfad);
      Try with IniFile do
        Begin
          WriteInteger(Programm_sec,xpos_entry,StrToInt(ED_xpos.text));
          WriteInteger(Programm_sec,ypos_entry,StrToInt(ED_ypos.text));
          WriteInteger(Programm_sec,width_entry,StrToInt(ED_Breite.text));
          breite_lin := StrToInt(Ed_Breite.text);
          WriteInteger(Windows_sec,width_entry,StrToInt(ED_Breite1.text));
          breite_win := StrToInt(Ed_breite1.text);
          h := StrToIntDef(ED_Hoehe.text,0);
          if h > 0 then
            Begin
              WriteInteger(Programm_sec,height_entry,h);
              Hoehe := h;
              hoehe_lin := Hoehe;
            end
          else
            begin
              IniFile.DeleteKey(Programm_sec,height_entry);
            end;
          h := StrToIntDef(ED_Hoehe1.text,0);
          if h > 0 then
            Begin
              WriteInteger(Windows_sec,height_entry,h);
              Hoehe := h;
              hoehe_win := Hoehe;
            end
          else
            begin
              IniFile.DeleteKey(Windows_sec,height_entry);
            end;
          s := Trim (Ed_Programmname.text);
          if s <>'' then WriteString(Programm_sec,Name_entry,ED_Programmname.text)
                    else DeleteKey(Programm_sec,Name_entry);
          WriteInteger(Programm_sec,FixPos_entry,Integer(CB_FixedPos.checked));
          WriteInteger(Programm_sec,debug_entry,Integer(CB_debug.checked));
          WriteInteger(Programm_sec,SperrBild_entry,Integer(CB_SperrBild.checked));
          WriteInteger(Programm_sec,mitUhr_entry,Integer(CB_mitUhr.checked));
          If RG_Border.ItemIndex=1 then s := 'none'
                                   else s := 'single';
          WriteString(Programm_sec,Border_entry,s);
          d := StrToIntDef(Ed_WOLDelay.text,0);
          if d>10 then d:= 10; if d<0 then d :=0;
          WOLDelay := d;
          Ed_WOLDelay.text := IntToStr(WOLDelay);
          WriteInteger(Programm_sec,WOLDelay_entry,d);
          d := StrToIntDef(Ed_VNCPort.text,0);
          if (d<0) or (d>65535) then d :=0;
          VNCPort :=d;
          Ed_VNCPort.text := IntToStr(VNCPort);

          WriteInteger(Programm_sec,VNCPort_entry,VNCPort);
          WriteString(Programm_sec,VNCPassPfad_entry,ED_VNCPass.text);
          VNCPassName := ED_VNCPass.text;
          PRG_Pfad := ExtractFilePath(Application.ExeName);
          if VNCPassName[1]<> '/' then VNCPassPfad := PRG_Pfad+VNCPassName
                                  else VNCPassPfad := VNCPassName;

          Nachricht_vis  := CB_Nachricht.checked;
          Befehle_vis    := CB_Befehle.checked;
          WriteInteger(Programm_sec,Nachrichtvisible_entry,Integer(Nachricht_vis));
          WriteInteger(Programm_sec,Befehlvisible_entry,Integer(Befehle_vis));

          BT_Internet_vis := CB_Internet_vis.checked;
          BT_Drucker_vis := CB_Drucker_vis.checked;
          WriteInteger(Programm_sec,BTInternet_entry,Integer(BT_Internet_vis));
          WriteInteger(Programm_sec,BTDrucker_entry,Integer(BT_Drucker_vis));

          UseAuthSK := StrToIntDef(ED_AuthSK.text,1);
          WriteInteger(Programm_sec,useAuth_entry,useAuthSK);
          if ED_Server.text = '' then DeleteKey(Programm_sec,ServerIP_entry)
                                 else WriteString(Programm_sec,ServerIP_entry,ED_Server.text);
          SKPort := StrToIntDef(ED_SKPort.Text,9731);
          WriteInteger(Programm_sec,Port_entry,SKPort);

          WriteString(Windows_sec,WOL_entry,ED_WOL.text);
          WriteString(Windows_sec,UltraVNCPfad_entry,Trim(ED_UltraVNC.text));
          WriteString(Windows_sec,VNCPasstext_entry,ED_VNCtext.text);
          VNCPassText := ED_VNCText.text;
          if VNCPasstext[1]<> '/' then VNCPassPfad_text := PRG_Pfad+VNCPasstext
                                  else VNCPassPfad_text := VNCPasstext;

          MausDienstPort := StrToInt(Ed_DienstPort.text);
          useSSL  := CB_UseSSL.checked;
          useAuth := CB_Auth.checked;
          WriteInteger(MausDienst_sec,Port_entry,MausDienstPort);
          WriteInteger(MausDienst_sec,UseSSL_entry,Integer(useSSL));
          WriteInteger(MausDienst_sec,UseAuth_entry,Integer(useAuth));

          ShowMessage('Konfigurationsdatei des Programms wurde neu geschrieben:'+ret+ret+ConfigFilePfad+ret+ret+
                      'Änderungen werden erst durch einen Neustart des Programms wirksam.');

          if debug then
            Begin
              SleepTimeSSL := StrToIntDef(Ed_time_ssl.text,100);
              SleepTimeTCP := StrToIntDef(Ed_time_tcp.text,50);
              SleepTimeNAC := StrToIntDef(Ed_time_nac.text,100);
              WriteInteger(Programm_sec,SleepTimeSSL_entry,SleepTimeSSL);
              WriteInteger(Programm_sec,SleepTimeTCP_entry,SleepTimeTCP);
              WriteInteger(Programm_sec,SleepTimeNAC_entry,SleepTimeNAC);
            end;
        end;
      finally
        IniFile.free;
      end;
    end;
  UltraVNCPfad := ED_UltraVNC.text;
end;

procedure TOptionenForm.BT_UtraVNCClick(Sender: TObject);
begin
  OpenDialog1.InitialDir:=ExtractFilePath(ED_UltraVNC.text);
  if OpenDialog1.execute then
    Begin
      ED_UltraVNC.text := OpenDialog1.FileName;
    end;
end;

procedure TOptionenForm.ED_VNCEncClick(Sender: TObject);
Var
  s : String;
begin
{$IFDEF LINUX}
  if InputQuery('X11VNC Passwort-Datei: '+VNCPassName,'Bitte geben Sie das X11VNC Passwort ein.'+ret+
                'Das Passwort wird encrypted gespeichert.',s) then
    Begin

      s := Trim(s);
      Befehl_exec('x11vnc -storepasswd '+S+' '+VNCPassPfad);
      s := Befehl_exec('groups pgmadmin');
      if Pos('pgmadmin',s)=1 then
        Begin
          if pos('teachers',s)>0 then
            Begin  // pgmadmin ist in der Gruppe teachers, chown deshalb möglich
              s:= Befehl_execF('sudo -u pgmadmin chown pgmadmin:teachers '+VNCPassPfad);
            end
          else
            Begin
              ShowMessage('Warnung!'+ret+ret+'Der Benutzer pgmadmin gehört nicht zur Gruppe teachers.'+ret+ret+
                      'Die Gruppenzugehörigkeit der VNC-Passwort-Datei kann hier nicht geändert werden.'+ret+ret+
                      'Bitte ändern Sie die Zugriffsrechte direkt am Server.'+ret+
                      '(Vorgehensweise siehe Wiki)');
            end;
        end
      else
        Begin
          ShowMessage('Warnung!'+ret+ret+'Der Benutzer pgmadmin wurde nicht gefunden.'+ret+ret+
                      'Die Gruppenzugehörigkeit der VNC-Passwort-Datei kann hier nicht geändert werden.'+ret+ret+
                      'Bitte ändern Sie die Zugriffsrechte direkt am Server.'+ret+
                      '(Vorgehensweise siehe Wiki)');
        end;
      fpChmod(VNCPassPfad,&640);
      ShowMessage('Das Passwort wurde in der Datei gespeichert:'+ret+ret+VNCPassPfad);
    end;
{$ENDIF}

{$IFDEF WIN64}
  ShowMessage('Die encrypted-Passwort-Datei für VNC:'+ret+ret+VNCPassPfad+ret+ret+
                  'kann nur mit einem Linux-PC als pgmadmin geschrieben werden.'+ret+ret+
                  'Bitte Dokumentation durchlesen!');
{$ENDIF}
end;

procedure TOptionenForm.FormShow(Sender: TObject);
begin
  ED_xpos.text   := IntToStr(xpos);
  ED_ypos.text   := IntToStr(ypos);
  ED_Breite.text := IntToStr(Breite_lin);
  ED_Hoehe.text  := IntToStr(Hoehe_lin);
  ED_WOLDelay.text := IntToStr(WOLDelay);
  ED_VNCPort.text  := IntToStr(VNCPort);
  ED_VNCPass.text  := VNCPassName;
  ED_VNCText.text  := VNCPassText;
  ED_Server.Text   := ServerIP;
  ED_SKPort.Text   := IntToStr(SKPort);
  CB_FixedPos.checked := FixPos;
  CB_debug.checked    := debug;
  CB_SperrBild.checked:= SperrBild;
  CB_mitUhr.checked   := mitUhr;
  CB_Nachricht.checked := Nachricht_vis;
  CB_Befehle.checked   := Befehle_vis;
  CB_Internet_vis.checked      := BT_Internet_vis;
  CB_Drucker_vis.checked       := BT_Drucker_vis;

  ED_AuthSK.Text := IntToStr(useAuthSK);

  If BStyle = 'none' then RG_Border.ItemIndex:=1
                     else RG_Border.ItemIndex:=0;
  Ed_Programmname.text := Prog_Name;

  ED_Breite1.text    := IntToStr(Breite_win);
  ED_Hoehe1.text     := IntToStr(Hoehe_win);
  ED_WOL.text      := WOLName;
  ED_UltraVNC.text   := UltraVNCPfad;

  ED_DienstPort.text := IntToStr(MausDienstPort);
  CB_UseSSL.checked  := UseSSL;
  CB_Auth.Checked    := UseAuth;

  if debug then
    begin
      LB_time_ssl.Enabled := true; Ed_time_ssl.Enabled := true;
      LB_time_tcp.Enabled := true; Ed_time_tcp.Enabled := true;
      LB_time_nac.Enabled := true; Ed_time_nac.Enabled := true;
     end
  else
    Begin
      LB_time_ssl.Enabled := false; Ed_time_ssl.Enabled := false;
      LB_time_tcp.Enabled := false; Ed_time_tcp.Enabled := false;
      LB_time_nac.Enabled := false; Ed_time_nac.Enabled := false;
    end;
  Ed_time_ssl.text := IntToStr(SleepTimeSSL);
  Ed_time_tcp.text := IntToStr(SleepTimeTCP);
  Ed_time_nac.text := IntToStr(SleepTimeNAC);
end;

procedure TOptionenForm.SetVNCClick(Sender: TObject);
Var
  s : String;
  u : textfile;

begin
  if InputQuery('X11VNC Passwort-Datei: '+VNCPassText,'Bitte geben Sie das X11VNC Passwort im Klartext ein',s) then
    Begin
      assignfile(u, VNCPassPfad_text);
      rewrite(u);
      writeln(u, vtr(s));
      closefile(u);
{$IFDEF LINUX}
      s := Befehl_exec('groups pgmadmin');
      if Pos('pgmadmin',s)=1 then
        Begin
          if pos('teachers',s)>0 then
            Begin  // pgmadmin ist in der Gruppe teachers, chown deshalb möglich
              s:= Befehl_execF('sudo -u pgmadmin chown pgmadmin:teachers '+VNCPassPfad_text);
            end
          else
            Begin
              ShowMessage('Warnung!'+ret+ret+'Der Benutzer pgmadmin gehört nicht zur Gruppe teachers.'+ret+ret+
                      'Die Gruppenzugehörigkeit der VNC-Passwort-Datei kann hier nicht geändert werden.'+ret+ret+
                      'Bitte ändern Sie die Zugriffsrechte direkt am Server.'+ret+
                      '(Vorgehensweise siehe Wiki)');
            end;
        end
      else
        Begin
          ShowMessage('Warnung!'+ret+ret+'Der Benutzer pgmadmin wurde nicht gefunden.'+ret+ret+
                      'Die Gruppenzugehörigkeit der VNC-Passwort-Datei kann hier nicht geändert werden.'+ret+ret+
                      'Bitte ändern Sie die Zugriffsrechte direkt am Server.'+ret+
                      '(Vorgehensweise siehe Wiki)');
        end;
      fpChmod(VNCPassPfad_text,&640);
      ShowMessage('Das Passwort wurde in der Datei gespeichert:'+ret+ret+VNCPassPfad_text);
{$ENDIF}

{$IFDEF WIN64}
      ShowMessage('Das Passwort wurde in der Datei gespeichert:'+ret+ret+VNCPassPfad_text+ret+ret+
                  'Bitte überprüfen Sie die Rechte an der Datei am server,'+ret+
                  'so dass diese nur für die Gruppe "teachers" lesbar ist!'+ret+
                  'Von Windows aus können die Rechte leider nicht korrekt gesetzt werden.');
{$ENDIF}

    end;
end;

end.

