//   Classroommanagement Maus
//   programmiert von Martin Resch 2016
//
// 0.1 erste Version
//   + EntsperrenItem und Basisinstallation erneuern
//   + ohne AktRaum Button ausgrauen
//   + poweroff
//   + Integration der Buttonbar
// 0.12
//   + Info zeigt private-Key-Problem an falls key eines Users und Recht <> 600
//   + maus-Programm nur einmal starten
//   + Info zeigt fehlende Pakete an (gksudo, suckless-tools)
// 0.13
//   + kleine Korrekturen
//   + pgmadmin hat Rechte der Gruppe teachers
//   + Name in der cfg-Datei aufnehmen
//   + Import aus workstations
//   + Programmoptionen
//   + eingeschaltete PC auflisten
// 0.16
//   + Anmeldenamen abfragen
// 0.17
//   + reboot
//   + beliebiger Lehrer-PC aus Raum
//   + alle User abmelden
//   + Wake on LAN
//   + MAC aus Workstations ermitteln
// 0.18
//   + WOL Delay
// 0.19
//   + BUG: MAC gehen bei Raum löschen verloren
//   + PC Auswahl
//   + Sperrbildschirm und Uhr zeigen (Option)
// 0.20
//   + Höhe auch festlegbar
//   + Anpassung ohne App-Menue-Indikator
// 0.22
//   + BUG: PCs ohne AktRaum
//   + freigeben.sh - bin zu X -> Xorg
//   + sperren.sh - sleep 1 vor xsetroot
//   + Namensabfrage bei 16.04
// 0.23b
//   + VNC Zugriff
//   + PC Namen statt Nummern
// 0.30
//   + admin-Users als Liste in cfg-Datei
//   + BUG: slock geht nicht ohne Sperrbild
//   + SperrBild=1 als Default
// 0.31
//   + Lehrermodul auch unter Windows lauffähig
//   + install-Script erweitern für putty-Keys
//   + Nachrichten an Client senden
//   + Befehle am Client ausführen
// 0.41
//   + MAC Überprüfung: validMAC
//   + WIN: Mehrfachstart unterbinden
//   + X11VNC-Passwort setzen+speichern
//   + install.sh läd win.exe von linuxmuster.net
// 0.42
//   + Typ Option fuer Schueler PC
//   + Import auch des Namens
//   + Dienst für Windows-Client
// 0.50
//   + TimeSleep-Optionen
// 0.51
//   + BUG: Ändern der PC-Liste ohne Neustart - Fehler bei Sperr-Button
//   + CB-PC-Liste bei Raumänderungen neu aufbauen
// 0.52
//   + kleine Anpassungen
//   + keys + Kennwörter rudimentär verschlüsseln
//   + mit/ohne Uhr
// 0.53
//   + kleine Anpassungen
//   + Pfad Angaben beim Konfig-Speichern, Speichern abbrechen bei ungültiger IP
//   + BUG: Border-Style-none Fenster, mitUhr
// 0.54
//   + CheckBox für alle
//   + BUG: mehrere lokale IP korrekt auswerten
//   + Umstellen auf Mausdaemon, kein ssh mehr
//   + BUG: nur reine MAus-Prozesse erkennen
//   + Internet-Button
//   + Drucker-Button
// 0.60
//   - PC-Menue bei Klick
//   - VNC-tumbnails
//   - WIN: LazDaemon für shutdown + reboot ohne Benutzeranmeldung
//   - PC-Auflistung mit Login-Namen
//   - WIN: Rechte an x11vnc.text setzen
//   - WIN: PC-Liste
//   - PC Check mit nmap - Ports
//   - UDP statt TCP
//   - Befehls-Katalog anlegen, z.B. für Websiten-öffnen
//

unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, lNetComponents, Forms, Controls, Graphics,
  Dialogs, StdCtrls, Menus, ExtCtrls, ActnList, ComCtrls, base, IniFiles,
  Raumunit, LoginUnit, process, NachrichtenUnit, Befehlsunit,lcommon,
{$IFDEF WIN64}
  windows,
{$ENDIF}
{$IFDEF Linux}
   BaseUnix,
{$ENDIF}
   pclistunit, Konfigurationsunit, AsyncProcess, Buttons, lNet;

Const
  Version = '0.60';
  Datum   = 'Jan 2017';
///////////////////////////////////////////////////////////////////////////////////////////


type

  { Tmainform }

  Tmainform = class(TForm)
    BT_D_green: TBitBtn;
    BT_I_red: TBitBtn;
    BT_D_red: TBitBtn;
    BT_I_green: TBitBtn;
    BT_Sperren: TButton;
    BT_freigeben: TButton;
    BT_CBPC: TButton;
    CB_alle: TCheckBox;
    BeendenItem: TMenuItem;
    LSSLSessionComponent1: TLSSLSessionComponent;
    LTCPComponent1: TLTCPComponent;
    LTCP_zum_Server: TLTCPComponent;
    MainMenu1: TMainMenu;
    DebugMemo: TMemo;
    MenuItem1: TMenuItem;
    IT_Konfig: TMenuItem;
    IT_PowerOff: TMenuItem;
    IT_Raum: TMenuItem;
    IT_Beenden: TMenuItem;
    IT_Reboot: TMenuItem;
    IT_Raeume: TMenuItem;
    IT_Programm: TMenuItem;
    IT_Info: TMenuItem;
    LogoutItem: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    IT_logout: TMenuItem;
    IT_WOL: TMenuItem;
    IT_Liste: TMenuItem;
    IT_Nachricht: TMenuItem;
    MenuItem4: TMenuItem;
    It_Befehl: TMenuItem;
    IT_Prog_Konfig: TMenuItem;
    Timer2: TTimer;
    VNC_verbinden: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    VNC_Zeigen: TMenuItem;
    PopupMenu2: TPopupMenu;
    WOLItem: TMenuItem;
    RebootItem: TMenuItem;
    PCListItem: TMenuItem;
    PoweroffItem: TMenuItem;
    InfoItem: TMenuItem;
    IT_Raum_Konfig: TMenuItem;
    PopupMenu1: TPopupMenu;
    Timer1: TTimer;
    procedure AuswahlItemClick(Sender: TObject);
    procedure BeendenItemClick(Sender: TObject);
    procedure BT_CBPCClick(Sender: TObject);
    procedure Bt_entsperrenClick(Sender: TObject);
    procedure BT_Internet_Click(Sender: TObject);
    procedure BT_RaumKonfigClick(Sender: TObject);
    procedure BT_SperrenClick(Sender: TObject);
    procedure BT_freigebenClick(Sender: TObject);
    procedure CB_alleChange(Sender: TObject);
    procedure CheckBox1MouseDown(Sender: TObject; Button: TMouseButton;Shift: TShiftState; X, Y: Integer);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Info_BTClick(Sender: TObject);
    procedure IT_ProgrammClick(Sender: TObject);
    procedure IT_P_KonfigClick(Sender: TObject);
    procedure LogoutItemClick(Sender: TObject);
    procedure LTCPComponent1Connect(aSocket: TLSocket);
    procedure LTCPComponent1Disconnect(aSocket: TLSocket);
    procedure LTCPComponent1Error(const msg: string; aSocket: TLSocket);
    procedure LTCPComponent1Receive(aSocket: TLSocket);
    procedure KontextMenueClick(Sender: TObject);
    procedure LTCP_zum_ServerConnect(aSocket: TLSocket);
    procedure LTCP_zum_ServerReceive(aSocket: TLSocket);
    procedure PCListItemClick(Sender: TObject);
    procedure PoweroffItemClick(Sender: TObject);
    procedure RebootItemClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure WOLItemClick(Sender: TObject);
  private
    PRG_Pfad      : String;
    MyIP          : String;
    SchalterAnz   : integer;
    AktUser       : String;
    OffenWarnung  : String;
    Schalter     : Array[1..20] of TButton;
    Schaltername : Array[1..20] of String;
    SchBefehl    : Array[1..20] of String;
    BefehlShow   : Array[1..20] of Integer;
    CB_PC        : Array[1..PCAnzMax] of TCheckBox;
    CBPC_aktiv   : Boolean;
    CBPC_Anz     : Integer;

    LTCP_Status, LTCP_Befehl : String;
    MausDienstPass : String;
    MDPfad         : String;

    SendeStatus,SendeMessage: String;

    procedure SchalterClick(Sender: TObject);
    Function Sende_MausDienst_Befehl(IP, Befehl: String) : String;
    Function Mehrfachstart(FName : String):boolean;
    Procedure SendeBefehl(Raum,Nr:Integer; Befehl,S:String);
    { private declarations }
  public
    { public declarations }
  end;

{$IFDEF WIN64}
function EnumWindowsProc(WHandle: HWND; LParM: LParam): LongBool;StdCall;Export;
{$ENDIF}
Const
  ConfigFileName  = 'maus.cfg';
  DefMausDienstPassName = 'md.pass';
  DefVNCPassname  = 'x11vnc.pass';
  DefVNCPasstext  = 'x11vnc.text';
  DefAdminUsers   = 'root,linuxadmin,pgmadmin';
  DefWOLName      = 'wol.exe';
  DefUltraVNCPfad = 'C:\Program Files\uvnc bvba\UltraVNC\vncviewer.exe';

  befehl_sperren   = 'SPERREN';           // Befehle für MausDienst+MausDaemon
  befehl_sperrenU  = 'SPERRENU';
  befehl_freigeben = 'FREIGEBEN';
  befehl_reboot    = 'REBOOT';
  befehl_poweroff  = 'POWEROFF';
  befehl_logout    = 'LOGOUT';
  befehl_nachricht = 'NACHRICHT:';
  befehl_befehl    = 'BEFEHL:';


var
  mainform  : Tmainform;
  Mouse_Tag : integer;
  WListe    : TStringList;

implementation

{$R *.lfm}

{$IFDEF WIN64}
function EnumWindowsProc(WHandle: HWND; LParM: LParam): LongBool;StdCall;Export;
var
  Title,ClassName    : array[0..128] of char;
  sTitle,sClass      : STRING ;

begin
 Result:=True;
 GetWindowText(wHandle, Title,128);
 GetClassName(wHandle, ClassName,128);
 sTitle:=Title;
 sClass:=ClassName;
 if (sClass = 'Window') then Wliste.Add(sTitle)
end;
{$ENDIF}

Function TMainForm.Mehrfachstart(FName : String):boolean;
var
  n : integer;
Begin
  Result := false;
{$IFDEF WIN64}
  EnumWindows(@EnumWindowsProc,0);
  //ShowMessage(FName+ret+ret+WListe.text);
  if WListe.Count=0 then exit;
  for n := 0 To WListe.Count-1 do
     Begin
       if (WListe[n]=FName) then result := True;
     end;
{$ENDIF}
end;



{ Tmainform }
procedure Tmainform.FormCreate(Sender: TObject);
Var
  IniFile     : TIniFile;
  n,m,p,i     : integer;
  s,SSHPfad   : String;
  FName,HostKeyPfad        : String;
  Daten,Zeile,Datei,alleIP : TStringList;
  w2,b1,b2,b3,b4           : integer;

begin
  WListe := TStringList.create;
  Daten  := TStringList.create;
  Zeile  := TStringList.create;
  alleIP := TStringList.create;
  PRG_Pfad := ExtractFilePath(Application.ExeName);
  FName    := ExtractFileName(Application.ExeName);
  AktRaum    := -1;
  CBPC_aktiv := false;
  CBPC_Anz   := 0;
  AktUser    := GetBenutzer;
  AuthOK     := false;
  MyBenutzer := AktUser;
  MyPass     := '';
  LTCP_Status := 'disconnect';
  LTCP_Befehl := '';
  ServerIP    := '';
  ConfigFilePfad := ExtractFilePath(Application.ExeName) + ConfigFileName;
  if FileExists(ConfigFilePfad) then
    Begin
      IniFile := TIniFile.Create(ConfigFilePfad);
      Try with IniFile do
        Begin
          Prog_Name   := ReadString(Programm_sec,Name_entry,'');
          if (Prog_Name = '') then Caption := 'Classroommanagement MAus '+Version
                              else Caption := Prog_Name;
          RaumAnz     := ReadInteger(Programm_sec,Raumanzahl_entry,0);
          SperrBild   := Boolean(ReadInteger(Programm_sec,SperrBild_entry,1));
          mitUhr      := Boolean(ReadInteger(Programm_sec,mitUhr_entry,1));
          debug       := Boolean(ReadInteger(Programm_sec,debug_entry,0));
          xpos        := ReadInteger(Programm_sec,XPos_entry,100);
          ypos        := ReadInteger(Programm_sec,YPos_entry,100);
          Breite_lin  := ReadInteger(Programm_sec,width_entry,340);
          Hoehe_lin   := ReadInteger(Programm_sec,height_entry,0);
          BStyle      := Lowercase(ReadString(Programm_sec,Border_entry,'single'));
          SchalterAnz := ReadInteger(Programm_sec,SchalterAnz_entry,0);
          FixPos      := Boolean(ReadInteger(Programm_sec,FixPos_entry,0));
          WOLDelay    := ReadInteger(Programm_sec,WOLDelay_entry,0);
          VNCPort     := ReadInteger(Programm_sec,VNCPort_entry,0);
          VNCPassName := ReadString(Programm_sec,VNCPassPfad_entry,DefVNCPassname);
          PCListItem.Visible:=Boolean(ReadInteger(Programm_sec,PCListVisible_entry,0));
                       IT_Liste.Visible := PCListItem.Visible;
          AdminUsers  := ReadString(Programm_sec,AdminUsers_entry,DefAdminUsers);

          //// fuer schukodaemon
          ServerIP    := ReadString (Programm_sec,ServerIP_entry,'');
          UseAuthSK   := ReadInteger(Programm_sec,UseAuth_entry,1);
          SKPort      := ReadInteger(Programm_sec,Port_entry,9731);

          WOLName         := ReadString(Windows_sec,WOL_entry,DefWOLName);
          Breite_win      := ReadInteger(Windows_sec,width_entry,340);
          Hoehe_win       := ReadInteger(Windows_sec,height_entry,0);
          VNCPasstext     := ReadString(Windows_sec,VNCPasstext_entry,DefVNCPasstext);
          UltraVNCPfad    := ReadString(Windows_sec,UltraVNCPFad_entry,DefUltraVNCPfad);

          IT_Nachricht.Visible := Boolean(ReadInteger(Programm_sec,NachrichtVisible_entry,1));
          Nachricht_vis        := IT_Nachricht.Visible;
          IT_Befehl.Visible    := Boolean(ReadInteger(Programm_sec,BefehlVisible_entry,0));
          Befehle_vis          := IT_Befehl.Visible;

          MausDienstPort := ReadInteger(MausDienst_sec,Port_entry,9731);
          UseSSL         := Boolean(ReadInteger(MausDienst_sec,UseSSL_entry,0));
          UseAuth        := Boolean(ReadInteger(MausDienst_sec,UseAuth_entry,0));

          SleepTimeSSL   := ReadInteger(Programm_sec,SleepTimeSSL_entry,100);
          SleepTimeTCP   := ReadInteger(Programm_sec,SleepTimeTCP_entry,50);
          SleepTimeNAC   := ReadInteger(Programm_sec,SleepTimeNAC_entry,100);

          BT_Internet_vis := Boolean(ReadInteger(Programm_sec,BTInternet_entry,0));
          BT_Drucker_vis  := Boolean(ReadInteger(Programm_sec,BTDrucker_entry,0));

{$IFDEF LINUX}
          Breite:=Breite_lin;
          Hoehe := Hoehe_lin;
{$ENDIF}
{$IFDEF WIN64}
          Breite:=Breite_win;
          Hoehe := Hoehe_win;
{$ENDIF}
          width := Breite;
      ////////////////////////////////////////////////////////////////////////////////////
          if SchalterAnz >20 then SchalterAnz := 20;
          for n := 1 to SchalterAnz do
             Begin
               Schaltername[n] := ReadString(Schalter_sec+IntToStr(n),Name_entry,IntToStr(n));
               SchBefehl[n]    := ReadString(Schalter_sec+IntToStr(n),Befehl_entry,'???');
               BefehlShow[n]   := ReadInteger(Schalter_sec+IntToStr(n),Show_entry,0);
             end;
          if VNCPassName[1]<> '/' then VNCPassPfad := PRG_Pfad+VNCPassName
                                  else VNCPassPfad := VNCPassName;
          if VNCPasstext[1]<> '/' then VNCPassPfad_text := PRG_Pfad+VNCPasstext
                                  else VNCPassPfad_text := VNCPasstext;
{$IFDEF WIN64}
          if WOLName[1] <> '/' then WOLPfad := PRG_Pfad+WOLName
                                 else WOLPfad := WOLName;
          if not Fileexists(WOLPfad) then ShowMessage('Fehler!'+ret+ret+
                      'Das Programm wol.exe wurde nicht gefunden, bitte ggf. installieren und den Pfad in der Konfiguration'+ret+
                      'des Programms eintragen.'+ret+ret+WOLPfad);
          if (VNCPort>0) and (not Fileexists(UltraVNCPfad)) then
             Begin
               ShowMessage('Fehler!'+ret+ret+
                      'Der VNC-Viewer UltraVNC wurde nicht gefunden, bitte ggf. installieren und den Pfad in der Konfiguration'+ret+
                      'des Programms eintragen.'+ret+ret+UltraVNCPfad);
             end;
{$ENDIF}
          if RaumAnz>RaumAnzMax then RaumAnz := RaumAnzMax;
          alleIP.text := AlleIPauslesen;
          myIP :='';
          if (alleIP.count>0) then myIP := alleIP[0];
          for n := 1 to RaumAnz do
            Begin
              SetLIP[n] := 0;
              RaumName[n] := ReadString(Raum_sec+IntToStr(n),RaumName_entry,'');
              PCAnz[n]    := ReadInteger(Raum_sec+IntToStr(n),PCAnz_entry,0);
              if PCAnz[n]>PCAnzMax then PCAnz[n]:= PCAnzMax;
              LehrerIP[n] := Trim(ReadString(Raum_sec+IntToStr(n),LehrerIP_entry,''));
              if alleIP.count>0 then
                Begin
                  for i := 0 to alleIP.count-1 do
                    Begin
                      if (LehrerIP[n]=alleIP[i]) then
                        Begin
                          myIP := alleIP[i];
                          AktRaum := n;
                        end;
                    end;

                end;
              for m := 1 to PCAnz[n] do
                Begin
                  Zeile.commatext := ReadString(Raum_sec+IntToStr(n),SchuelerIP_entry+IntToStr(m),'');
                  if Zeile.Count>0 then SchuelerIP[n,m]  := Zeile[0];
                  if Zeile.Count>1 then SchuelerMAC[n,m] := Zeile[1]
                                   else SchuelerMAC[n,m] := '';
                  if Zeile.Count>2 then SchuelerPC[n,m]  := Zeile[2]
                                   else SchuelerPC[n,m]  := '';
                  if Zeile.Count>3 then SchuelerPCTyp[n,m]  := Zeile[3]
                                   else SchuelerPCTyp[n,m]  := 'lin';

                  If (LehrerIP[n]='*') then
                    Begin
                      if alleIP.count>0 then
                        Begin
                          for i := 0 to alleIP.count-1 do
                            Begin
                              if (SchuelerIP[n,m]=alleIP[i]) then
                                Begin
                                  myIP := alleIP[i];
                                  AktRaum   := n;
                                  SetLIP[n] := m;
                                end;
                            end;
                        end;
                    end;
                end;
              if SetLIP[n]>0 then
                Begin
                  LehrerIP[n]  := SchuelerIP[n,SetLIP[n]];
                  LehrerMAC[n] := SchuelerMAC[n,SetLIP[n]];
                  LehrerPC[n]  := SchuelerPC[n,SetLIP[n]];
                  LehrerPCTyp[n]  := SchuelerPCTyp[n,SetLIP[n]];
                  for m := SetLIP[n] to PCAnz[n]-1 do
                    Begin
                      SchuelerIP[n,m]:= SchuelerIP[n,m+1];
                      SchuelerMAC[n,m]:= SchuelerMAC[n,m+1];
                      SchuelerPC[n,m]:= SchuelerPC[n,m+1];
                      SchuelerPCTyp[n,m]:= SchuelerPCTyp[n,m+1];
                    end;
                  PCAnz[n] := PCAnz[n]-1;
                end;
            end;
            end;
      finally
        IniFile.free;
      end;
    end
  else
    Begin
      ShowMessage('KRITISCHER FEHLER!'+ret+ret+'Die Konfigurationsdatei fehlt,'+ret+
                    'das Programm wird nun beendet.'+ret+ret+ConfigFilePfad);
      Application.Terminate;
    end;
  //////////////////////////////////////////
  //debug := True;
  //////////////////////////////////////////
  // if useAuth then ...
  MDPfad := ExtractFilePath(Application.ExeName) + DefMausDienstPassName;
      if FileExists(MDPfad) then
        Begin
          Datei := TStringList.create;
          Datei.LoadFromFile(MDPfad);
          MausDienstPass := Trim(Datei.text);
          Datei.free;
        end
      else
        Begin
          if useAuth and debug then ShowMessage('Die Datei mit dem MausDienst-Passwort wurde nicht gefunden!'+ret+ret+MDPfad);
        end;
  LSSLSessionComponent1.SSLActive:=UseSSL;
  LTCPComponent1.socketNet    := LAF_INET;
  LTCPComponent1.ReuseAddress := true;

 {$IFDEF WIN64}
  if Mehrfachstart(Caption) then
    Begin
      ShowMessage('Warnung!'+ret+ret+'Bitte starten Sie das Programm nur einmal.'+ret+'Der Start wird nun abgebrochen.');
      halt;
    end;
{$ENDIF}
{$IFDEF Linux}
  Daten.text := Befehl_exec('pgrep -x '+FName);
  if Daten.Count>1 then
    begin
      ShowMessage('Warnung!'+ret+ret+'Bitte starten Sie das Programm nur einmal.'+ret+'Der zweite Prozess wird nun beendet.'+
                   ret+ret+'Prozess-IDs:'+ret+Daten.text);
      halt;
    end;
{$ENDIF}
  Zeile.commatext := AdminUsers;
  Bin_Admin := false;
  for n := 0 to (Zeile.count -1) do
    Begin
      if (AktUser = Trim(Zeile[n])) then Bin_Admin := True;
    end;
  if Bin_Admin then
    Begin
      IT_Raum_Konfig.enabled := true;
      IT_Raeume.Enabled  := true;
      IT_Programm.Enabled:= true;
      IT_Prog_Konfig.Enabled:= true;
    end
  else
    Begin
      IT_Raum_Konfig.enabled := false; // hier muss später false stehen !!!!
      IT_Raeume.Enabled  := false;
      IT_Programm.Enabled:= false;
      IT_Prog_Konfig.Enabled:= false;
    end;
  if Bin_Admin then
    Begin
{$IFDEF LINUX}
      s := Befehl_exec('groups pgmadmin');
      if Pos('pgmadmin',s)=1 then
          Begin
            if pos('teachers',s)=0 then
              Begin
                ShowMessage('Warnung!'+ret+ret+
                            'Der Benutzer pgmadmin gehört nicht zur Gruppe "teachers".'+ret+
                            'Bitte ändern Sie die Gruppenzugehörigkeit am Server.'+ret+
                            '(Genaueres siehe Wiki)');
              end
          end
{$ENDIF}
    end;
  If FixPos then Timer1.Enabled := True;
  w2 := 0;
  BT_I_green.Height := 55; BT_I_green.width :=55;
  BT_D_green.Height := 55; BT_D_green.width :=55;
  if BT_internet_vis then
    Begin
      BT_I_green.visible := true;
      BT_I_red.visible := false;
      w2 := w2 + BT_I_green.width+10;
      BT_I_green.top    := 1*30-20;
      BT_I_green.left   := 10+width-20-25-BT_I_green.width-2;
      if BT_Drucker_vis  then BT_I_green.left := BT_I_green.left -  BT_D_green.width-7;
      BT_I_red.top    := BT_I_green.top;
      BT_I_red.left   := BT_I_green.left;
      BT_I_red.Height := BT_I_green.Height;
    end
  else
    begin
      BT_I_green.visible := false;
      BT_I_red.visible := false;
    end;  ;
  if BT_Drucker_vis  then
    Begin
      BT_D_green.visible := true;
      BT_D_red.visible := false;
      w2 := w2 + BT_D_green.width+10;
      BT_D_green.top    := 1*30-20;
      BT_D_green.left   := 10+width-20-25-BT_D_green.width-2;
      BT_D_red.top    := BT_D_green.top;
      BT_D_red.left   := BT_D_green.left;
      BT_D_red.Height := BT_D_green.Height;
    end
  else
    Begin
      BT_D_green.visible := false;
      BT_D_red.visible := false;
    end;
  BT_sperren.top     := 1*30-20;
  BT_sperren.left    := 10;
  BT_Sperren.Height  := 25;
  BT_Sperren.Width   := width-20-25-w2;
  BT_freigeben.top   := 2*30-20;
  BT_freigeben.left  := 10;
  BT_freigeben.Height:= 25;
  BT_freigeben.Width := width-20-25-w2;
  BT_CBPC.top        := 1*30-20;
  BT_CBPC.left       := 10+BT_Sperren.Width+5+w2;
  BT_CBPC.width      := 25;
  BT_CBPC.Height     := 55;
  if SchalterAnz > 0 then
    Begin
      for n := 1 to SchalterAnz do
        begin
          Schalter[n] := TButton.create(self);
          Schalter[n].parent := self;
          Schalter[n].tag    := n;
          Schalter[n].caption := Schaltername[n];
          Schalter[n].top := (n+2)*30-20;
          Schalter[n].left := 10;
          Schalter[n].Height:=25;
          Schalter[n].Width := width-20;
          Schalter[n].onClick := @SchalterClick;
        end;
    end;
  if Hoehe=0 then Height := (Schalteranz+2)*30+15
             else Height := Hoehe;
  if BStyle = 'single' then BorderStyle := bsSingle
                       else BorderStyle := bsNone;
  Daten.free; Zeile.free; alleIP.free;

  if ServerIP='' then
    Begin
      if ZerlegeIP(MyIP, b1,b2,b3,b4) then
        Begin
          if (b1=10) and (b2>=16) then
            Begin
              ServerIP := '10.'+IntToStr((b2 div 16)*16)+'.1.1';
            end;
        end;
    end;
end;



procedure Tmainform.FormShow(Sender: TObject);
Var
  status : Boolean;
begin
  if xpos>0 then Left := xpos
            else Left := Screen.DesktopWidth+xpos-width;
  if ypos>0 then top  := ypos
            else top  := Screen.DesktopHeight+ypos-Height;
  if AktRaum > 0 then status := true
                 else status := false;
  BT_Sperren.Enabled  :=status;
  BT_freigeben.Enabled:=status;
  PoweroffItem.Enabled:=status;
  RebootItem.Enabled  :=status;
  WOLItem.Enabled     :=status;
  LogoutItem.Enabled  :=status;
  IT_Poweroff.Enabled :=status;
  IT_Reboot.Enabled   :=status;
  IT_WOL.Enabled      :=status;
  IT_Logout.Enabled   :=status;
  PCListItem.Enabled  :=status; IT_Liste.Enabled := status;
  if VNCPort>0 then
    Begin
      VNC_verbinden.visible := True;
      VNC_Zeigen.visible := True;
    end
  else
    Begin
      VNC_verbinden.visible := false;
      VNC_Zeigen.visible := false;
    end;

  if debug then
  Begin
    DebugMemo.Visible:=True;;
    Height := Screen.DesktopHeight-top-50;
    DebugMemo.Height:=height-DebugMemo.top-10;
  end
  else
  Begin
    DebugMemo.Visible := false;
  end;
end;

procedure Tmainform.Info_BTClick(Sender: TObject);
Var
  s,r,b : String;
  n     : integer;
begin
  s := 'Classroommanagement "MAus", Version '+Version+ret+ret+'programmiert von Martin Resch, '+Datum+ret+
       'mit Lazarus 1.0.10'+ret+ret;
  s := s + 'Aktuelle IP: '+MyIP+ret;
  s := s + 'Server IP: '+ServerIP+ret;
  if AktRaum >0 then s := s + 'Aktueller Raum: '+IntToStr(AktRaum)+' - '+RaumName[AktRaum]
                else s := s + 'Problem: Kein Raum bestimmbar!';
  s := s + ret + 'Aktueller User: '+AktUser;
{$IFDEF WIN64}
  if not FileExists(WOLPfad) then s := s+ret+'Fehler: Das WOL - Tool    '+WolPfad+' ist nicht zugreifbar oder existiert nicht.';
  if not FileExists(UltraVNCPfad) then s := s+ret+'Fehler: Der Ultra-VNC Viewer    '+UltraVNCPfad+' ist nicht zugreifbar oder existiert nicht.';
{$ENDIF}
  if (not FileExists(MDPfad)) and useAuth then s := s+ret+'Fehler: Das Mausdienst-Passwort    '+MDPfad+' ist nicht zugreifbar oder existiert nicht.';
  s := s + ret+ret+'Räume: '+IntToStr(RaumAnz);
{$IFDEF Linux}
  b := befehl_exec('dpkg -s gksu');
  if pos('install ok installed',b)=0 then s := s+ret+ret+'Fehler: Das Paket gksu ist nicht installiert.';

  b := befehl_exec('dpkg -s suckless-tools');
  if pos('install ok installed',b)=0 then s := s+ret+ret+'Fehler: Das Paket suckless-tools ist nicht installiert.';

  b := befehl_exec('dpkg -s wakeonlan');
  if pos('install ok installed',b)=0 then s := s+ret+ret+'Fehler: Das Paket wakeonlan ist nicht installiert.';
{$ENDIF}
  for n := 1 to RaumAnz do
    Begin
      if (RaumName[n] ='') or (RaumName[n]='Raum '+IntToStr(n)) then r :=''
                           else r := ': '+RaumName[n];

      s := s + ret+ret+'Raum '+IntToStr(n)+r+ret+'         Lehrer-PC: '+LehrerIP[n]+ret+
                                       '         Anzahl Schüler-PC: '+IntToStr(PCAnz[n]);
    end;
  ShowMessage(s);
end;

procedure Tmainform.IT_ProgrammClick(Sender: TObject);
begin
  OptionenForm.ShowModal;
  IT_Nachricht.Visible := Nachricht_vis;
  IT_Befehl.Visible    := Befehle_vis;
  debug                := OptionenForm.CB_debug.checked;
  FixPos               := OptionenForm.CB_FixedPos.checked;
  SperrBild            := OptionenForm.CB_SperrBild.checked;
  mitUhr               := OptionenForm.CB_mitUhr.checked;
  UltraVNCPfad         := Trim(OptionenForm.ED_UltraVNC.text);
end;

procedure Tmainform.IT_P_KonfigClick(Sender: TObject);
begin

end;




procedure Tmainform.PCListItemClick(Sender: TObject);
begin
{$IFDEF LINUX}
  PCListForm.Delta_y := Height+50 ;
  PCListForm.Show;
{$ENDIF}
{$IFDEF WIN64}
  ShowMessage('Sorry.'+ret+ret+'PC-Liste ist für Windows noch nicht implementiert.');
{$ENDIF}
end;




procedure Tmainform.Timer1Timer(Sender: TObject);
begin
  if xpos>0 then Left := xpos
            else Left := Screen.DesktopWidth+xpos-width;
  if ypos>0 then top  := ypos
            else top  := Screen.DesktopHeight+ypos-Height;
end;



procedure Tmainform.FormClose(Sender: TObject; var CloseAction: TCloseAction);
var
  n : integer;
begin
  for n := 1 to SchalterAnz do
     begin
       Schalter[n].free;
     end;
end;

Function TMainForm.Sende_MausDienst_Befehl(IP, Befehl: String) : String;
Var
  SleepTime : Integer;
Begin
  if useSSL then SleepTime := SleepTimeSSL else SleepTime := SleepTimeTCP;
  LSSLSessionComponent1.SSLActive:=useSSL;
  LTCPComponent1.Timeout:=100;
  Application.ProcessMessages;
  if debug and LTCPComponent1.Connected Then
    Begin
      DebugMemo.append('LTCP-Statusfehler:'+ret+'Connected=True'+ret+'ABER: Disconnected');
    end;
  if debug then DebugMemo.append('Befehl-Status: '+LTCP_Status+' --- '+IP);
  if LTCPComponent1.Connect(IP, MausDienstPort) then
    Begin
      LTCP_Status := 'senden';
      if UseAuth then LTCP_Befehl := '%'+vtr(MausDienstPass)+'%'+Befehl
                 else LTCP_Befehl := Befehl;
      if debug then DebugMemo.append('Befehl-Status: '+LTCP_Status);
      Sleep(SleepTime);
      Application.ProcessMessages;
      Sleep(SleepTime);    // NOTWENDIG
     end;
end;

procedure Tmainform.LTCPComponent1Connect(aSocket: TLSocket);
var
  SleepTime : integer;
Begin
  if useSSL then SleepTime := SleepTimeSSL else SleepTime := SleepTimeTCP;
  if LTCP_Status = 'senden' then
   Begin
     if debug and LTCPComponent1.Connected then DebugMemo.append('Connected: '+aSocket.PeerAddress);
     if debug then DebugMemo.append('Connect-Status: '+LTCP_Status+' --- '+aSocket.PeerAddress);
     LTCPComponent1.SendMessage(LTCP_Befehl);
     LTCP_Status := 'gesendet';
     LTCP_Befehl := '';
     LTCPComponent1.Disconnect(True);
     LTCP_Status := 'disconnect';
     Sleep(SleepTime);
     Application.ProcessMessages;
     //Sleep(SSLSleepTime);
     //LSSLSessionComponent1.SSLActive:=false;
     //Application.ProcessMessages;
    end
  else
    begin
      if debug then DebugMemo.append('Connect-Status ???: '+LTCP_Status+' --- '+aSocket.PeerAddress);
    end;
end;

procedure Tmainform.LTCPComponent1Disconnect(aSocket: TLSocket);
begin
end;


Procedure Tmainform.SendeBefehl(Raum,Nr:Integer; Befehl,S:String);
Var
  Befehl_MD, Befehl_ssh : String;
Begin
  if Befehl =Befehl_sperren then
    Begin
      if mitUhr then Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_sperrenU)
                else Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_sperren)
    end; /////////////////////////////////////////////////////////////////
  if Befehl = Befehl_freigeben then
    Begin
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_freigeben)
    end; /////////////////////////////////////////////////////////////////
  if Befehl = Befehl_poweroff then
    Begin
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_poweroff);
    end; /////////////////////////////////////////////////////////////////
  if Befehl = Befehl_reboot then
    Begin
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_reboot);
    end; /////////////////////////////////////////////////////////////////
  if Befehl = Befehl_logout then
    Begin
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_logout);
    end; /////////////////////////////////////////////////////////////////
  if Pos(befehl_nachricht,Befehl) = 1 then
    Begin
      Befehl_MD  := Befehl_nachricht     + S;
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_MD);
      Sleep(SleepTimeNAC);
    end; /////////////////////////////////////////////////////////////////
  if Pos(befehl_befehl,Befehl) = 1 then
    Begin
      Sende_MausDienst_Befehl(SchuelerIP[Raum,Nr], Befehl_Befehl+S);
    end; /////////////////////////////////////////////////////////////////
end;

procedure Tmainform.BT_SperrenClick(Sender: TObject);
Var
  n : integer;
begin
// Alle PC oder Liste sperren
{$IFDEF WIN64}
  If (Offenwarnung <>'') and debug then ShowMessage('Problem:'+ret+ret+Offenwarnung);
{$ENDIF}
  for n:= 1 to PCAnz[AktRaum] do
    Begin
      if (CBPC_Anz = 0) or (CB_PC[n]=nil) or (CB_PC[n].checked) then SendeBefehl(AktRaum,n,Befehl_sperren,'');
    end;
end;


procedure Tmainform.BT_freigebenClick(Sender: TObject);
Var
  n : integer;
begin
// Alle PC oder Liste freigeben
  for n:= 1 to PCAnz[AktRaum] do
    Begin
      if (CBPC_Anz = 0) or (CB_PC[n]=nil) or  (CB_PC[n].checked) then SendeBefehl(AktRaum,n,Befehl_freigeben,'');
    end;
end;

procedure Tmainform.CB_alleChange(Sender: TObject);
Var
  n : integer;
begin
  if not CBPC_aktiv then exit;
  if CB_alle.checked Then
    Begin
      for n := 1 to PCAnz[AktRaum] do
        Begin
          CB_PC[n].Checked:=True;
        end;
    end
  else
    Begin
      for n := 1 to PCAnz[AktRaum] do
        Begin
          CB_PC[n].Checked:=False;
        end;
    end;
end;

procedure Tmainform.PoweroffItemClick(Sender: TObject);
Var
  n : integer;
begin
  if MessageDlg('Schüler PC Power off','Wollen Sie die PCs des Raums abschalten?'+ret+ret+
                'Anwendungen und offene Dateien werden dabei nicht gespeichert!',mtConfirmation,[mbYes,mbNo],0) = mrYes then
  Begin
    for n:= 1 to PCAnz[AktRaum] do
      Begin
         if (CBPC_Anz = 0) or CB_PC[n].checked then SendeBefehl(AktRaum,n,Befehl_poweroff,'');
       end;
  end;
end;

procedure Tmainform.RebootItemClick(Sender: TObject);
Var
  n : integer;
begin
  if MessageDlg('Schüler PC Reboot','Wollen Sie die PCs des Raums neustarten?'+ret+ret+
                'Anwendungen und offene Dateien werden dabei nicht gespeichert!',mtConfirmation,[mbYes,mbNo],0) = mrYes then
  Begin
    for n:= 1 to PCAnz[AktRaum] do
      Begin
        if (CBPC_Anz = 0) or CB_PC[n].checked then SendeBefehl(AktRaum,n,Befehl_reboot,'');
      end;
  end;
end;

procedure Tmainform.LogoutItemClick(Sender: TObject);
Var
  n : integer;
begin
  if MessageDlg('Schüler Logout','Wollen Sie bei den PCs die Benutzer abmelden?'+ret+ret+
                'Anwendungen und offene Dateien werden dabei nicht gespeichert!',mtConfirmation,[mbYes,mbNo],0) = mrYes then
  for n:= 1 to PCAnz[AktRaum] do
    Begin
       if (CBPC_Anz = 0) or CB_PC[n].checked then SendeBefehl(AktRaum,n,Befehl_logout,'');
    end;
end;

procedure Tmainform.LTCPComponent1Error(const msg: string; aSocket: TLSocket);
begin
  if debug then ShowMessage('TCP-Fehler!'+ret+ret+msg);
end;

procedure Tmainform.LTCPComponent1Receive(aSocket: TLSocket);
Var
  s : String;
begin
  if debug then
    Begin
      if aSocket.GetMessage(s) > 0 then
        Begin
          ShowMessage('Receive:'+ret+ret+s);
        end;
    end;
end;

procedure Tmainform.WOLItemClick(Sender: TObject);
Var
  s,m,b : String;
  n     : integer;
begin
{$IFDEF WIN64}
  if not FileExists(WOLPfad) then
    Begin
      ShowMessage('Fehler!'+ret+ret+'Das Programm wol.exe wurde nicht gefunden.');
      exit;
    end;
{$ENDIF}
{$IFDEF LINUX}
  b := befehl_exec('dpkg -s wakeonlan');
  if pos('install ok installed',b)=0 then
    Begin
      ShowMessage('Fehler!'+ret+ret+'Das Paket wakeonlan ist nicht installiert.');
      exit;
    end;
{$ENDIF}
  s :='';
  if debug then
    Begin
      for n:= 1 to PCAnz[AktRaum] do
         Begin
           S :=S+SchuelerIP[AktRaum,n]+ ' --- '+SchuelerMAC[AktRaum,n];
           if not validMAC(SchuelerMAC[AktRaum,n]) then s:= s + (' --- Ungültige MAC ?');
           S := S+ret;
         end;
    end;
  if MessageDlg('Wake On LAN','Wollen Sie alle PCs des Raumes aufwecken?'+ret+
                'Wartezeit jeweils '+IntToStr(WOLDelay)+' Sekunden.'+ret+
                 '('+IntToStr(PCAnz[AktRaum])+' Stück)'+ret+s,mtConfirmation,[mbYes,mbNo],0) = mrYes then
    Begin
      m := '';
        for n:= 1 to PCAnz[AktRaum] do
          Begin
            if SchuelerMAC[AktRaum,n] <>'' then m := m +' '+ SchuelerMAC[AktRaum,n];

          end;
     if m ='' then
       Begin
         ShowMessage('Problem!'+ret+ret+'In der Konfiguration des Raumes wurden keine MAC-Adressen gefunden.');
         exit;
       end;
{$IFDEF WIN64}
     for n:= 1 to PCAnz[AktRaum] do
       Begin
         if SchuelerMAC[AktRaum,n] <>'' then
           Begin
             s := Befehl_execH(WOLpfad+' '+SchuelerMAC[AktRaum,n]);
             if (WOLDelay <> 0) then sleep(WOLDelay*1000);
           end;
       end;
{$ENDIF}
{$IFDEF LINUX}
  if WOLDelay =0 then
    Begin
      s := Befehl_execF('wakeonlan '+m);
    end
  else
    Begin
      for n:= 1 to PCAnz[AktRaum] do
        Begin
          if SchuelerMAC[AktRaum,n] <>'' then
            Begin
              s := Befehl_execF('wakeonlan '+SchuelerMAC[AktRaum,n]);
              sleep(WOLDelay*1000);
            end;
       end;
    end;
{$ENDIF}
  end;
end;



procedure Tmainform.BT_RaumKonfigClick(Sender: TObject);
Var
  n,m,i  : integer;
  alleIP : TStringList;
begin
  alleIP := TStringList.create;
  RaumKonfiguration.RaumBox.Clear;
  for n := 1 to RaumAnz do
    Begin
      if Trim(RaumName[n]) ='' then RaumName[n] := 'Raum '+IntToStr(n);
      RaumKonfiguration.RaumName_new[n] := RaumName[n];
      RaumKonfiguration.RaumBox.Items.Add('Raum '+IntToStr(n));
      if SetLIP[n]>0 then
        Begin
          Inc(PCAnz[n]);
          for m := PCAnz[n] downto SetLIP[n]+1 do
            begin
              SchuelerIp[n,m]:=SchuelerIp[n,m-1];
              SchuelerMAC[n,m]:=SchuelerMAC[n,m-1];
              SchuelerPC[n,m]:=SchuelerPC[n,m-1];
              SchuelerPCTyp[n,m]:=SchuelerPCTyp[n,m-1];
            end;
          SchuelerIp[n,SetLIP[n]]:= LehrerIp[n];
          SchuelerMAC[n,SetLIP[n]]:= LehrerMAC[n];
          SchuelerPC[n,SetLIP[n]]:= LehrerPC[n];
          SchuelerPCTyp[n,SetLIP[n]]:= LehrerPCTyp[n];
          LehrerIp[n]    := '*';
        end;
      RaumKonfiguration.LehrerIP_new[n]  := LehrerIp[n];
      RaumKonfiguration.LehrerMAC_new[n] := LehrerMAC[n];
      RaumKonfiguration.LehrerPC_new[n] := LehrerPC[n];
      RaumKonfiguration.LehrerPCTyp_new[n] := LehrerPCTyp[n];
      RaumKonfiguration.PCAnz_new[n] := PCAnz[n];
      for m := 1 to PCAnz[n] do
        Begin
          RaumKonfiguration.SchuelerIP_new[n,m] := SchuelerIp[n,m];
          RaumKonfiguration.SchuelerMAC_new[n,m] := SchuelerMAC[n,m];
          RaumKonfiguration.SchuelerPC_new[n,m] := SchuelerPC[n,m];
          RaumKonfiguration.SchuelerPCTyp_new[n,m] := SchuelerPCTyp[n,m];
        end;
    end;
  if AktRaum>0 then RaumKonfiguration.RaumBox.ItemIndex:=AktRaum-1
               else RaumKonfiguration.RaumBox.ItemIndex:=0 ;
  RaumKonfiguration.RaumAnz_new := RaumAnz;
  RaumKonfiguration.ShowModal;
  AktRaum := -1;
  alleIP.text := alleIPauslesen;
  for n := 1 to RaumAnz do
    Begin
      SetLIP[n] :=0;
      for i := 0 to alleIP.count-1 do
        Begin
          if (LehrerIP[n] = alleIP[i]) then
            Begin
              AktRaum := n;
              MyIP := alleIP[i];
            end;
        end;
      if (LehrerIP[n] = '*' ) then
        Begin
          for m := 1 to PCAnz[n] do
            Begin
              for i := 0 to alleIP.count-1 do
                Begin
                  If (SchuelerIP[n,m]= alleIP[i]) then
                    Begin
                      AktRaum   := n;
                      SetLIP[n] := m;
                      MyIP := alleIP[i];
                    end;
                end;
            end;
          if SetLIP[n]>0 then
            Begin
              LehrerIP[n]  := SchuelerIP[n,SetLIP[n]];
              LehrerMAC[n] := SchuelerMAC[n,SetLIP[n]];
              LehrerPC[n] := SchuelerPC[n,SetLIP[n]];
              LehrerPCTyp[n] := SchuelerPCTyp[n,SetLIP[n]];
              for m := SetLIP[n] to PCAnz[n]-1 do
                Begin
                  SchuelerIP[n,m]:= SchuelerIP[n,m+1];
                  SchuelerMAC[n,m]:= SchuelerMAC[n,m+1];
                  SchuelerPC[n,m]:= SchuelerPC[n,m+1];
                  SchuelerPCTyp[n,m]:= SchuelerPCTyp[n,m+1];
                end;
              PCAnz[n] := PCAnz[n]-1;
            end;
        end;
    end;
  FormShow(nil);
  if CBPC_aktiv then BT_CBPCClick(nil);
  if CBPC_Anz >0 then
    Begin
      for n := 1 to CBPC_anz do CB_PC[n].free ;
      CBPC_Anz := 0;
    end;
  alleIP.free;
end;

procedure Tmainform.Bt_entsperrenClick(Sender: TObject);
Const
    mg = '"MAus Config entsperren'+ret+ret+'Bitte geben Sie zum Entsperren Ihr Kennwort ein.'+ret+
         'Dann gehts weiter ..."';
var
      AProcess : TProcess;
      FP : String;
begin
      AProcess := TProcess.Create(nil);
      FP := Application.ExeName;
      AProcess.CommandLine := 'gksudo -k -m '+mg+' '+FP;
      AProcess.Execute;
      AProcess.Free;
      close;
end;



procedure Tmainform.BeendenItemClick(Sender: TObject);
begin
  Close;
end;

procedure Tmainform.AuswahlItemClick(Sender: TObject);
begin

end;

procedure Tmainform.CheckBox1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Mouse_Tag := (Sender as TCheckBox).tag;
end;

procedure Tmainform.KontextMenueClick(Sender: TObject);
Var
   n,m,i            : integer;
   VNCprocess       : TAsyncProcess;
   mtag             : integer;
   VO,PP,s,ENV, z   : String;
   Nachricht        : String;
   Datei : TStringList;
begin
  n := Mouse_Tag;
  mtag := (sender as TMenuItem).tag;
  if (mtag = 1) or (mtag = 2) then
{$IFDEF WIN64}
    Begin
      VO := '';
      if mtag = 2 then
        begin
          VO := ' -viewonly';
        end;
      PP := '';
      if FileExists (VNCPassPfad_text) then
        Begin
          Datei := TStringList.create;
          Datei.LoadFromFile(VNCPassPfad_text);
          PP := ' -password "'+Trim(vtr(Datei.text))+'"';
          Datei.free;
        end;
      VNCProcess := TAsyncProcess.create(nil);
      VNCProcess.commandline := UltraVNCPfad+' '+SchuelerIP[AktRaum,n]+':'+IntToStr(VNCPort)+VO+PP;
      VNCProcess.execute;
    end
{$ENDIF}
{$IFDEF LINUX}
    Begin
      VO := '';
      if mtag = 2 then
        begin
          VO := ' -viewonly ';
        end;
      VNCProcess := TAsyncProcess.Create(nil);
      PP := '';
      if FileExists (VNCPassPfad) then
        Begin
          PP := ' -passwd "'+VNCPassPfad+'" ';
        end;
      VNCProcess.commandLine := 'vncviewer '+VO+PP+SchuelerIP[AktRaum,n]+':'+IntToStr(VNCPort);
      VNCProcess.Execute;
    end
{$ENDIF}
  else if (mtag = 3) or (mtag = 4) then
    Begin  // Einzelnen PC Sperren
      If (Offenwarnung <>'') and debug then ShowMessage('Problem:'+ret+ret+Offenwarnung);
      if mtag = 3 then SendeBefehl (AktRaum,n, Befehl_sperren,'')
                  else SendeBefehl (AktRaum,n, Befehl_freigeben, '')
    end
  else if (mtag=5) then
    Begin    // Nachricht senden
      if SchuelerPC[AktRaum,n] <> '' then s := SchuelerPC[AktRaum,n]
                                     else s := 'PC Nr. '+IntToStr(n);
      NachrichtenForm.RG_AnAlle.Items[0] := 'An Computer: ' + s;
      NachrichtenForm.RG_AnAlle.ItemIndex:=0;
      NachrichtenForm.ActiveControl := NachrichtenForm.Nachricht_Memo;
      if NachrichtenForm.ShowModal = mrYes then
        Begin
          Nachricht := NachrichtenForm.Nachricht_Memo.text;
          z := '"''`';
          for i := 1 to length(Nachricht) do
            Begin
              if Pos(Nachricht[i],z)>0 then Nachricht[i] := ' ';
            end;
          if NachrichtenForm.RG_AnAlle.ItemIndex = 0 then
            Begin
              SendeBefehl(AktRaum,n,Befehl_nachricht,Nachricht);
            End
          else
            Begin
              for m:= 1 to PCAnz[AktRaum] do
                Begin
                  if (CBPC_Anz = 0) or CB_PC[m].checked then
                    Begin
                      SendeBefehl(AktRaum,m,Befehl_nachricht,Nachricht);
                    end;
                end;
             end;
        end;
    end
  else if (mtag=6) then
    Begin   // Befehl ausführen
      if SchuelerPC[AktRaum,n] <> '' then s := SchuelerPC[AktRaum,n]
                                     else s := 'PC Nr. '+IntToStr(n);
      BefehlForm.RG_AnAlle.Items[0] := 'Am Computer: ' + s;
      BefehlForm.RG_AnAlle.ItemIndex:=0;
      BefehlForm.ActiveControl := BefehlForm.ED_Befehl;
      if BefehlForm.ShowModal = mrYes then
        Begin
          if BefehlForm.RG_AnAlle.ItemIndex = 0 then
            Begin
              SendeBefehl(AktRaum,n,Befehl_befehl,Trim(BefehlForm.ED_Befehl.text));
            End
          else
            Begin
              for m:= 1 to PCAnz[AktRaum] do
                Begin
                  if (CBPC_Anz = 0) or CB_PC[m].checked then
                    Begin
                      SendeBefehl(AktRaum,m,Befehl_befehl,Trim(BefehlForm.ED_Befehl.text));
                    end;
                end;
             end;
        End;
    end;
end;



procedure Tmainform.BT_CBPCClick(Sender: TObject);
Const
  Spalten = 3;
Var
  n,xx,yy, ymax : integer;
  h0,w0,x0      : integer;
begin
  if AktRaum<1 then exit;
  x0 := (Schalteranz+2)*30+15;
  if Hoehe =0 then h0 := x0
              else h0 := Hoehe;
  if CBPC_aktiv then
    Begin
      CBPC_aktiv := False;
      if BStyle = 'single' then
      Begin
        MainForm.BorderStyle := bsSizeable;
        Mainform.Height      := h0;
        BorderStyle          := bsSingle;
      end
      else
        Begin
          Mainform.Height    := h0;
          BorderStyle        := bsNone;
         end;
      exit;
    end;
  CBPC_aktiv := True;
  MainForm.height := h0;
  w0 := (width-40) div spalten;
  xx :=1;
  yy :=1;
  ymax := (PCAnz[AktRaum] +Spalten-1) div Spalten;
  for n := 1 to PCAnz[AktRaum] do
     Begin
       if n > CBPC_Anz then
         Begin
           CB_PC[n] := TCheckBox.create(self);
           CBPC_Anz := n;
           CB_PC[n].parent := self;
           CB_PC[n].tag    := n;
           if SchuelerPC[AktRaum,n] <> '' then
             Begin
               CB_PC[n].caption:= SchuelerPC[AktRaum,n];
             end
           else
             Begin
               CB_PC[n].caption:= 'PC Nr. '+IntToStr(n);
             end;
           CB_PC[n].Height := 22;
           CB_PC[n].AutoSize:=false;
           CB_PC[n].Width  := w0;
           CB_PC[n].checked := true;
           CB_PC[n].PopupMenu := PopupMenu2;
           CB_PC[n].OnMouseDown := @checkbox1mousedown;
         end;
       CB_PC[n].top  := (yy-1)*25+x0;
       CB_PC[n].left := (xx-1)*w0+10;
       inc(yy);
       if yy>ymax then
         Begin
           yy := 1;
           inc(xx);
         end;
     end;
  for n := PCAnz[AktRaum]+1 to CBPC_Anz do CB_PC[n].free;
  CBPC_Anz := PCAnz[AktRaum];
  if BStyle = 'single' then
   Begin
     MainForm.BorderStyle := bsSizeable;
     Mainform.Height      := h0+ymax*25+5;
     MainForm.BorderStyle := bsSingle;
   end
  else
    Begin
      Mainform.Height      := h0+ymax*25+5;
      Mainform.BorderStyle := bsNone;
    end;
{$IFDEF WIN64}
  CB_alle.top   := x0;
  CB_alle.left  := BT_CBPC.left+5;
  CB_alle.width := 16;
  CB_alle.height:= 22;
{$ENDIF}
{$IFDEF Linux}
  CB_alle.top   := x0;
  CB_alle.left  := BT_CBPC.left;
{$ENDIF}
end;



procedure Tmainform.SchalterClick(Sender: TObject);
Var
  n : integer;
  PRC  : TProcess;
  Ausgabe : TStringList;
begin
  n := (Sender as TButton).tag;
  // ShowMessage(Befehl[n]);
  PRC   := TProcess.Create(nil);
  Ausgabe  := TStringList.create;
  PRC.commandline := SchBefehl[n];
  PRC.Options := PRC.Options + [poWaitOnExit, poUsePipes];
  PRC.Execute;
  Ausgabe.LoadFromStream(PRC.Output);
  if BefehlShow[n] = 1 then ShowMessage(Ausgabe.text) ;
  PRC.free;
  Ausgabe.free;;
end;

procedure Tmainform.BT_Internet_Click(Sender: TObject);
Var
  t : integer;
begin
  t := TBitBtn(Sender).tag;  // 0 - Internet   1 - Drucker
  If SendeStatus <> '' then exit;
  if not AuthOK then
    Begin
      if useAuthSK = 1 then  //Passwortabfrage
        Begin
          if LoginForm.Ed_Name.text='' then LoginForm.Ed_Name.text := AktUser;
          LoginForm.Ed_Pass.text := '';
          if (LoginForm.ShowModal = mrcancel) then exit;
          MyBenutzer := Trim(LoginForm.Ed_Name.text);
          MyPass     := LoginForm.Ed_Pass.text;
        end;
      if (t = 0) then
        Begin
           if BT_I_green.Visible then SendeMessage := msg_INOF
                                 else SendeMessage := msg_INON;
        end
      else if (t = 1) then
        Begin
           if BT_D_green.Visible then SendeMessage := msg_DROF
                                 else SendeMessage := msg_DRON;
        end;
      if ConnectOK then
        Begin
          SendeStatus := msg_AUTH;
          LTCP_zum_Server.SendMessage(msg_Auth+'%'+MyBenutzer+'%'+MyPass);
        end
      else
        Begin
          SendeStatus := 'connecting';
          LTCP_zum_Server.ReuseAddress:=True;
          LTCP_zum_Server.SocketNet:=LAF_INET;
          LTCP_zum_Server.Timeout:=100;
          if LTCP_zum_Server.Connect(ServerIP, SKPort) then
            Begin
              if debug then DebugMemo.Append('Connecting ...');
            end;
         end;
      Timer2.enabled := True;
    end
  else
    Begin
    if (t=0) then
      Begin
        if BT_I_green.Visible then SendeMessage:=msg_INOF
                              else SendeMessage:=msg_INON;
        if debug then DebugMemo.Append('Sende: '+SendeMessage);
        LTCP_zum_Server.SendMessage(SendeMessage+'%'+MyBenutzer+'%'+MyPass);
        if SendeMessage = msg_INOF then
          Begin
            BT_I_green.Visible:=false;
            BT_I_red.Visible:=true;
            BT_I_red.SetFocus;
          end
        else
          Begin
            BT_I_green.Visible:=true;
            BT_I_red.Visible:=false;
            BT_I_green.SetFocus;
          end;
      end
    else if (t=1) then
      Begin
        if BT_D_green.Visible then SendeMessage:=msg_DROF
                              else SendeMessage:=msg_DRON;
        if debug then DebugMemo.Append('Sende: '+SendeMessage);
        LTCP_zum_Server.SendMessage(SendeMessage+'%'+MyBenutzer+'%'+MyPass);
        if SendeMessage = msg_DROF then
          Begin
            BT_D_green.Visible:=false;
            BT_D_red.Visible:=true;
            BT_D_red.SetFocus;
          end
        else
          Begin
            BT_D_green.Visible:=true;
            BT_D_red.Visible:=false;
            BT_D_green.SetFocus;
          end;
      end;
      SendeStatus := '';
      SendeMessage:= '';
    end;
end;


procedure Tmainform.LTCP_zum_ServerConnect(aSocket: TLSocket);
begin
  if debug then DebugMemo.Append('... Connected :-)');
  ConnectOK      := True;
  Timer2.enabled := false;
  SendeStatus    := msg_AUTH;
  LTCP_zum_Server.SendMessage(msg_Auth+'%'+MyBenutzer+'%'+MyPass);
  Timer2.enabled := true;
end;

procedure Tmainform.LTCP_zum_ServerReceive(aSocket: TLSocket);
Var
  S : String;
begin
  if aSocket.GetMessage(S) > 0 then
    Begin
      if debug then DebugMemo.Append('Receive: '+S);
      if (SendeStatus=msg_AUTH) then
        Begin
          Timer2.Enabled := false;
          if s ='OK' then
            Begin
              AuthOK := True;
              if SendeMessage<>'' then
                Begin
                  if debug then DebugMemo.Append('Sende: '+SendeMessage);
                  LTCP_zum_Server.SendMessage(SendeMessage+'%'+MyBenutzer+'%'+MyPass);
                  if SendeMessage = msg_INOF then
                    Begin
                      BT_I_green.Visible:=false;
                      BT_I_red.Visible:=true;
                      BT_I_red.SetFocus;
                    end
                  else if SendeMessage = msg_INON then
                    Begin
                      BT_I_green.Visible:=true;
                      BT_I_red.Visible:=false;
                      BT_I_green.SetFocus;
                    end
                  else if SendeMessage = msg_DROF then
                    Begin
                      BT_D_green.Visible:=false;
                      BT_D_red.Visible:=true;
                      BT_D_red.SetFocus;
                    end
                  else if SendeMessage = msg_DRON then
                    Begin
                      BT_D_green.Visible:=true;
                      BT_D_red.Visible:=false;
                      BT_D_green.SetFocus;
                    end;
                  SendeStatus:='';
                  SendeMessage:='';
                end;
            end
          else
            Begin  // Auth nochmal .............
              if debug then DebugMemo.Append('Authentication nochmal ...');
              useAuthSK := 1;
              if LoginForm.Ed_Name.text='' then LoginForm.Ed_Name.text := AktUser;
              LoginForm.Ed_Pass.text := '';
              if (LoginForm.ShowModal = mrcancel) then
                Begin
                  SendeStatus :='';
                  SendeMessage:='';
                  exit;
                end;
              MyBenutzer := Trim(LoginForm.Ed_Name.text);
              MyPass     := LoginForm.Ed_Pass.text;
              LTCP_zum_Server.SendMessage(msg_Auth+'%'+MyBenutzer+'%'+MyPass);
              Timer2.enabled := true;
            end;
        end;
    end;
end;

procedure Tmainform.Timer2Timer(Sender: TObject);
begin
  Timer2.enabled:=false;
  if SendeStatus='connecting' then
    Begin
      if debug then DebugMemo.Append('ERROR, TIMEOUT!'+ret+'Connecting fehlgeschlagen!');
      SendeStatus :='';
    end
  else if SendeStatus=msg_AUTH then
    Begin
      if debug then DebugMemo.Append('ERROR, TIMEOUT!'+ret+'Authentifizierung fehlgeschlagen!');
      SendeStatus :='';
    end
end;


end.

